; System Library Bases To Kickstart 3.0
; Made by Tax of Access
;

; ** DosBase **

DosBase_SIZEOF					=	70
DosBase_LibNode					=	0	;34
DosBase_Root					=	34	;4
DosBase_GV					=	38	;4
DosBase_A2					=	42	;4
DosBase_A5					=	46	;4
DosBase_A6					=	50	;4
DosBase_Errors					=	54	;4
DosBase_TimeReq					=	58	;4
DosBase_UtilityBase				=	62	;4
DosBase_IntuitionBase				=	66	;4

; ** ExecBase **

ExecBase_SIZEOF					=	632
ExecBase_LibNode				=	0	;34
ExecBase_SoftVer				=	34	;2
ExecBase_LowMemChkSum				=	36	;2
ExecBase_ChkBase				=	38	;4
ExecBase_ColdCapture				=	42	;4
ExecBase_CoolCapture				=	46	;4
ExecBase_WarmCapture				=	50	;4
ExecBase_SysStkUpper				=	54	;4
ExecBase_SysStkLower				=	58	;4
ExecBase_MaxLocMem				=	62	;4
ExecBase_DebugEntry				=	66	;4
ExecBase_DebugData				=	70	;4
ExecBase_AlertData				=	74	;4
ExecBase_MaxExtMem				=	78	;4
ExecBase_ChkSum					=	82	;2
ExecBase_IntVects				=	84	;12
ExecBase_ThisTask				=	276	;4
ExecBase_IdleCount				=	280	;4
ExecBase_DispCount				=	284	;4
ExecBase_Quantum				=	288	;2
ExecBase_Elapsed				=	290	;2
ExecBase_SysFlags				=	292	;2
ExecBase_IDNestCnt				=	294	;1
ExecBase_TDNestCnt				=	295	;1
ExecBase_AttnFlags				=	296	;2
ExecBase_AttnResched				=	298	;2
ExecBase_ResModules				=	300	;4
ExecBase_TaskTrapCode				=	304	;4
ExecBase_TaskExceptCode				=	308	;4
ExecBase_TaskExitCode				=	312	;4
ExecBase_TaskSigAlloc				=	316	;4
ExecBase_TaskTrapAlloc				=	320	;2
ExecBase_MemList				=	322	;14
ExecBase_ResourceList				=	336	;14
ExecBase_DeviceList				=	350	;14
ExecBase_IntrList				=	364	;14
ExecBase_LibList				=	378	;14
ExecBase_PortList				=	392	;14
ExecBase_TaskReady				=	406	;14
ExecBase_TaskWait				=	420	;14
ExecBase_SoftInts				=	434	;16
ExecBase_LastAlert				=	514	;4
ExecBase_VBlankFrequency			=	530	;1
ExecBase_PowerSupplyFrequency			=	531	;1
ExecBase_SemaphoreList				=	532	;14
ExecBase_KickMemPtr				=	546	;4
ExecBase_KickTagPtr				=	550	;4
ExecBase_KickCheckSum				=	554	;4
ExecBase_Pad0					=	558	;2
ExecBase_LaunchPoint				=	560	;4
ExecBase_RamLibPrivate				=	564	;4
ExecBase_EClockFrequency			=	568	;4
ExecBase_CacheControl				=	572	;4
ExecBase_TaskID					=	576	;4
ExecBase_Reserved1				=	580	;4
ExecBase_MMULock				=	600	;4
ExecBase_Reserved2				=	604	;4
ExecBase_MemHandlers				=	616	;12
ExecBase_MemHandler				=	628	;4

; ** ExpansionBase **

ExpansionBase_SIZEOF				=	88
ExpansionBase_LibNode				=	0	;34
ExpansionBase_Flags				=	34	;1
ExpansionBase_Private01				=	35	;1
ExpansionBase_Private02				=	36	;4
ExpansionBase_Private03				=	40	;4
ExpansionBase_Private04				=	44	;16
ExpansionBase_Private05				=	60	;14
ExpansionBase_MountList				=	74	;14

; ** GraphicsBase **

GraphicsBase_SIZEOF				=	544
GraphicsBase_LibNode				=	0	;34
GraphicsBase_ActiView				=	34	;4
GraphicsBase_CopInit				=	38	;4
GraphicsBase_CIA				=	42	;4
GraphicsBase_Blitter				=	46	;4
GraphicsBase_LOFList				=	50	;4
GraphicsBase_SHFList				=	54	;4
GraphicsBase_Blthd				=	58	;4
GraphicsBase_Blttl				=	62	;4
GraphicsBase_Bsblthd				=	66	;4
GraphicsBase_Bsblttl				=	70	;4
GraphicsBase_Vbsrv				=	74	;22
GraphicsBase_Timsrv				=	96	;22
GraphicsBase_Bltsrv				=	118	;22
GraphicsBase_TextFonts				=	140	;14
GraphicsBase_DefaultFont			=	154	;4
GraphicsBase_Modes				=	158	;2
GraphicsBase_VBlank				=	160	;1
GraphicsBase_Debug				=	161	;1
GraphicsBase_BeamSync				=	162	;2
GraphicsBase_System_Bplcon0			=	164	;2
GraphicsBase_SpriteReserved			=	166	;1
GraphicsBase_ByteReserved			=	167	;1
GraphicsBase_Flags				=	168	;2
GraphicsBase_BlitLock				=	170	;2
GraphicsBase_BlitNest				=	172	;2
GraphicsBase_BlitWaitQ				=	174	;14
GraphicsBase_BlitOwner				=	188	;4
GraphicsBase_TOF_WaitQ				=	192	;14
GraphicsBase_DisplayFlags			=	206	;2
GraphicsBase_SimpleSprites			=	208	;4
GraphicsBase_MaxDisplayRow			=	212	;2
GraphicsBase_MaxDisplayColumn			=	214	;2
GraphicsBase_NormalDisplayRows			=	216	;2
GraphicsBase_NormalDisplayColumns		=	218	;2
GraphicsBase_NormalDPMX				=	220	;2
GraphicsBase_NormalDPMY				=	222	;2
GraphicsBase_LastChanceMemory			=	224	;4
GraphicsBase_LCMPtr				=	228	;4
GraphicsBase_MicrosPerLine			=	232	;2
GraphicsBase_MinDisplayColumn			=	234	;2
GraphicsBase_ChipRevBits0			=	236	;1
GraphicsBase_MemType				=	237	;1
GraphicsBase_Reserved				=	238	;1
GraphicsBase_Monitor_ID				=	242	;2
GraphicsBase_Hedley				=	244	;4
GraphicsBase_Hedley_Sprites			=	276	;4
GraphicsBase_Hedley_Sprites1			=	308	;4
GraphicsBase_Hedley_Count			=	340	;2
GraphicsBase_Hedley_Flags			=	342	;2
GraphicsBase_Hedley_Tmp				=	344	;2
GraphicsBase_Hash_Table				=	346	;4
GraphicsBase_Current_Tot_Rows			=	350	;2
GraphicsBase_Current_Tot_CClks			=	352	;2
GraphicsBase_Hedley_Hint			=	354	;1
GraphicsBase_Hedley_Hint2			=	355	;1
GraphicsBase_NReserved				=	356	;4
GraphicsBase_A2024_Sync_Raster			=	372	;4
GraphicsBase_Control_Delta_Pal			=	376	;2
GraphicsBase_Control_Delta_Ntsc			=	378	;2
GraphicsBase_Current_Monitor			=	380	;4
GraphicsBase_MonitorList			=	384	;14
GraphicsBase_Default_Monitor			=	398	;4
GraphicsBase_MonitorListSemaphore		=	402	;4
GraphicsBase_DisplayInfoDataBase		=	406	;4
GraphicsBase_TopLine				=	410	;2
GraphicsBase_ActiViewCprSemaphore		=	412	;4
GraphicsBase_UtilBase				=	416	;4
GraphicsBase_ExecBase				=	420	;4
GraphicsBase_BwShifts				=	424	;4
GraphicsBase_StrtFetchMasks			=	428	;4
GraphicsBase_StopFetchMasks			=	432	;4
GraphicsBase_Overrun				=	436	;4
GraphicsBase_RealStops				=	440	;4
GraphicsBase_SpriteWidth			=	444	;2
GraphicsBase_SpriteFMode			=	446	;2
GraphicsBase_SoftSprites			=	448	;1
GraphicsBase_ArrayWidth				=	449	;1
GraphicsBase_DefaultSpriteWidth			=	450	;2
GraphicsBase_SprMoveDisable			=	452	;1
GraphicsBase_WantChips				=	453	;1
GraphicsBase_BoardMemType			=	454	;1
GraphicsBase_Bugs				=	455	;1
GraphicsBase_LayersBase				=	456	;4
GraphicsBase_ColorMask				=	460	;4
GraphicsBase_IVector				=	464	;4
GraphicsBase_IData				=	468	;4
GraphicsBase_SpecialCounter			=	472	;4
GraphicsBase_DBList				=	476	;4
GraphicsBase_MonitorFlags			=	480	;2
GraphicsBase_ScanDoubledSprites			=	482	;1
GraphicsBase_BP3Bits				=	483	;1
GraphicsBase_MonitorVBlank			=	484	;4
GraphicsBase_Natural_Monitor			=	488	;4
GraphicsBase_ProgData				=	492	;4
GraphicsBase_ExtSprites				=	496	;1
GraphicsBase_Pad3				=	497	;1
GraphicsBase_GfxFlags				=	498	;2
GraphicsBase_VBCounter				=	500	;4
GraphicsBase_HashTableSemaphore			=	504	;4
GraphicsBase_HWEmul				=	508	;4

; ** IntuitionBase **

IntuitionBase_SIZEOF				=	80
IntuitionBase_LibNode				=	0	;34
IntuitionBase_ViewLord				=	34	;18
IntuitionBase_ActiveWindow			=	52	;4
IntuitionBase_ActiveScreen			=	56	;4
IntuitionBase_FirstScreen			=	60	;4
IntuitionBase_Flags				=	64	;4
IntuitionBase_MouseY				=	68	;2
IntuitionBase_MouseX				=	70	;2
IntuitionBase_Seconds				=	72	;4
IntuitionBase_Micros				=	76	;4

; ** LocaleBase **

LocaleBase_SIZEOF				=	36
LocaleBase_LibNode				=	0	;34
LocaleBase_SysPatches				=	34	;2

; ** MathIEEEBase **

MathIEEEBase_SIZEOF				=	60
MathIEEEBase_LibNode				=	0	;34
MathIEEEBase_Reserved				=	34	;1
MathIEEEBase_TaskOpenLib			=	52	;4
MathIEEEBase_TaskCloseLib			=	56	;4

; ** RealTimeBase **

RealTimeBase_SIZEOF				=	48
RealTimeBase_LibNode				=	0	;34
RealTimeBase_Reserved0				=	34	;1
RealTimeBase_Time				=	36	;4
RealTimeBase_TimeFrac				=	40	;4
RealTimeBase_Reserved1				=	44	;2
RealTimeBase_TickErr				=	46	;2

; ** RxsBase **

RxsBase_SIZEOF					=	252
RxsBase_LibNode					=	0	;34
RxsBase_Flags					=	34	;1
RxsBase_Shadow					=	35	;1
RxsBase_SysBase					=	36	;4
RxsBase_DosBase					=	40	;4
RxsBase_IEEEBase				=	44	;4
RxsBase_SegList					=	48	;4
RxsBase_NIL					=	52	;4
RxsBase_Chunk					=	56	;4
RxsBase_MaxNest					=	60	;4
RxsBase_NULL					=	64	;4
RxsBase_FALSE					=	68	;4
RxsBase_TRUE					=	72	;4
RxsBase_REXX					=	76	;4
RxsBase_COMMAND					=	80	;4
RxsBase_STDIN					=	84	;4
RxsBase_STDOUT					=	88	;4
RxsBase_STDERR					=	92	;4
RxsBase_Version					=	96	;4
RxsBase_TaskName				=	100	;4
RxsBase_TaskPri					=	104	;4
RxsBase_TaskSeg					=	108	;4
RxsBase_StackSize				=	112	;4
RxsBase_RexxDir					=	116	;4
RxsBase_CTABLE					=	120	;4
RxsBase_Notice					=	124	;4
RxsBase_RexxPort				=	128	;34
RxsBase_ReadLock				=	162	;2
RxsBase_TraceFH					=	164	;4
RxsBase_TaskList				=	168	;14
RxsBase_NumTask					=	182	;2
RxsBase_LibList					=	184	;14
RxsBase_NumLib					=	198	;2
RxsBase_ClipList				=	200	;14
RxsBase_NumClip					=	214	;2
RxsBase_MsgList					=	216	;14
RxsBase_NumMsg					=	230	;2
RxsBase_PgmList					=	232	;14
RxsBase_NumPgm					=	246	;2
RxsBase_TraceCnt				=	248	;2
RxsBase_Avail					=	250	;2

; ** UtilityBase **

UtilityBase_SIZEOF				=	36
UtilityBase_LibNode				=	0	;34
UtilityBase_Language				=	34	;1
UtilityBase_Reserved				=	35	;1
